<mat-form-field class="example-form-field">
    <mat-label>Code</mat-label>
    <input matInput type="text" [(ngModel)]="code">
    <button mat-button matSuffix mat-icon-button aria-label="Clear" (click)="code=''">
        <mat-icon>close</mat-icon>
    </button>
</mat-form-field>
<mat-form-field class="example-form-field">
    <mat-label>Description</mat-label>
    <input matInput type="text" [(ngModel)]="description">
    <button mat-button matSuffix mat-icon-button aria-label="Clear" (click)="description=''">
        <mat-icon>close</mat-icon>
    </button>
</mat-form-field>
<mat-form-field>
    <input matInput placeholder="Search" aria-label="State" [matAutocomplete]="auto" [formControl]="searchCustomerCtrl">
    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
      <mat-option *ngIf="isLoading" class="is-loading">Loading...</mat-option>
      <ng-container *ngIf="!isLoading">
        <mat-option *ngFor="let customer of filteredCustomers" [value]="customer">
          <span><b>({{customer.id}})</b> {{customer.Name}}</span>
        </mat-option>
      </ng-container>
    </mat-autocomplete>
  </mat-form-field>

<button mat-raised-button color="accent" (click)="addActivity()" [disabled]="(loading$  | async)"
    [disabled]="!code">ADD</button>
<p *ngIf="(loading$  | async)">Saving...
    <mat-progress-spinner *ngIf="(loading$  | async)" class="example-margin" [color]="'primary'"
        [mode]="'indeterminate'" diameter="20"></mat-progress-spinner>
</p>

<ng-container *ngIf="errorMsg; else elseTemplate">
    {{errorMsg}}
</ng-container>
<ng-template #elseTemplate>
   
</ng-template>